<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=\, initial-scale=1.0">
    <title>38.50</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
        integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>
</head>
<body>
    <div class="container">
        <h3>New Item App</h3>
    <Input id="input-new-item" placeholder="new itme"></Input>
    <p id="items"></p>
    <h2>Items</h2>
    <button id="btn-clear" class="btn btn-primary">Clear</button>
    </div>

    <script>
        $(document).ready(function () {
            // ...

            $("#btn-clear").on('click', function () {
            clearData();
        });

    
            $("#input-new-item").keypress(function (event) {
                if (event.which === 13) { // Check if Enter key is pressed
                    event.preventDefault(); // Prevent form submission
                    var newItem = $(this).val(); // Get the value from the input field
    
                    if (newItem.trim() !== "") { // Check if the input value is not empty or whitespace
                        addItem(newItem); // Add the new item
                        $(this).val(""); // Clear the input field
                    }
                }
            });
    
            // ...
    
            function addItem(item) {
                var itemList = $("#items");
                var items = localStorage.getItem('items');
    
                if (items !== null) {
                    items = JSON.parse(items);
                    items.push(item);
                } else {
                    items = [item];
                }
                localStorage.setItem('items', JSON.stringify(items));
                itemList.append('<li>' + item + '</li>');
            }
            function clearData() {
            var itemList = $("#items");
            itemList.empty(); // Clear the item list in HTML

            localStorage.removeItem('items'); // Remove the items from local storage
        }
        });  
    </script>
    

</body>
</html>